com.io7m.jcanephora.cursors

## Class JCGLR32ByteBuffered

- java.lang.Object
- - com.io7m.jcanephora.cursors.JCGLR32ByteBuffered

- All Implemented Interfaces:
    JCGLR32ReadableType, JCGLR32Type, JCGLR32WritableType, com.io7m.jpra.runtime.java.JPRAValueType

      public final class JCGLR32ByteBuffered
      extends Object
      implements JCGLR32Type

  A `ByteBuffer` based implementation of the `JCGLR32` record type.

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `getR()`
    `int` | `getRRaw()`
    `int` | `metaROffsetFromCursor()`
    `int` | `metaROffsetFromType()`
    `com.io7m.jpra.runtime.java.JPRATypeModel.JPRAIntegerUnsignedNormalized` | `metaRType()`
    `static JCGLR32Type` | `newValue(ByteBuffer in_buffer, com.io7m.jpra.runtime.java.JPRACursorByteReadableType in_pointer)` Construct a view of a type.
    `static JCGLR32Type` | `newValueWithOffset(ByteBuffer in_buffer, com.io7m.jpra.runtime.java.JPRACursorByteReadableType in_pointer, int in_base_offset)` Construct a view of a type.
    `void` | `setR(double x)` Set the value of the `r` field
    `void` | `setRRaw(int x)` Set the value of the `r` field
    `int` | `sizeOctets()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### newValueWithOffset

          public static JCGLR32Type newValueWithOffset(ByteBuffer in_buffer,
                                                       com.io7m.jpra.runtime.java.JPRACursorByteReadableType in_pointer,
                                                       int in_base_offset)

      Construct a view of a type.
      Parameters:
        `in_buffer` - A byte buffer
        `in_pointer` - A cursor
        `in_base_offset` - The base offset from the cursor
      Returns:
        A view of a type

    - #### newValue

          public static JCGLR32Type newValue(ByteBuffer in_buffer,
                                             com.io7m.jpra.runtime.java.JPRACursorByteReadableType in_pointer)

      Construct a view of a type.
      Parameters:
        `in_buffer` - A byte buffer
        `in_pointer` - A cursor
      Returns:
        A view of a type

    - #### sizeOctets

          public int sizeOctets()

      Specified by:
        `sizeOctets` in interface `com.io7m.jpra.runtime.java.JPRAValueType`

    - #### metaROffsetFromType

          public int metaROffsetFromType()

      Specified by:
        `metaROffsetFromType` in interface `JCGLR32ReadableType`
      Returns:
        The offset in octets of the `r` field, from the start of the type

    - #### metaROffsetFromCursor

          public int metaROffsetFromCursor()

      Specified by:
        `metaROffsetFromCursor` in interface `JCGLR32ReadableType`
      Returns:
        The offset in octets of the `r` field, from the cursor

    - #### metaRType

          public com.io7m.jpra.runtime.java.JPRATypeModel.JPRAIntegerUnsignedNormalized metaRType()

      Specified by:
        `metaRType` in interface `JCGLR32ReadableType`
      Returns:
        The type of the `r` field

    - #### getRRaw

          public int getRRaw()

      Specified by:
        `getRRaw` in interface `JCGLR32ReadableType`
      Returns:
        The value of the `r` field

    - #### setRRaw

          public void setRRaw(int x)

      Description copied from interface: `JCGLR32WritableType`
      Set the value of the `r` field
      Specified by:
        `setRRaw` in interface `JCGLR32WritableType`
      Parameters:
        `x` - The new value

    - #### getR

          public double getR()

      Specified by:
        `getR` in interface `JCGLR32ReadableType`
      Returns:
        The value of the `r` field

    - #### setR

          public void setR(double x)

      Description copied from interface: `JCGLR32WritableType`
      Set the value of the `r` field
      Specified by:
        `setR` in interface `JCGLR32WritableType`
      Parameters:
        `x` - The new value

Copyright © 2016 <code@io7m.com> http://io7m.com